<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suifmath.texi on 28 April 1999 -->

<TITLE>The SUIFMATH Library - Function Index</TITLE>
<link href="suifmath_37.html" rel=Next>
<link href="suifmath_35.html" rel=Previous>
<link href="suifmath_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_35.html">previous</A>, <A HREF="suifmath_37.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
<P><HR><P>


<H1><A NAME="SEC40" HREF="suifmath_toc.html#TOC40">Function, Variable, and Type Index</A></H1>
<P>
<H2>c</H2>
<DIR>
<LI><A HREF="suifmath_4.html#IDX89">coladd(integer_matrix &#38;, int i, int j, int mul=1)</A>
<LI><A HREF="suifmath_4.html#IDX87">colswitch(integer_matrix &#38;, int i, int j)</A>
<LI><A HREF="suifmath_4.html#IDX54">Compose(...)</A>
<LI><A HREF="suifmath_14.html#IDX287">constraint::!=</A>
<LI><A HREF="suifmath_14.html#IDX293">constraint::*</A>, <A HREF="suifmath_14.html#IDX305">constraint::*</A>
<LI><A HREF="suifmath_14.html#IDX299">constraint::*=</A>, <A HREF="suifmath_14.html#IDX313">constraint::*=</A>
<LI><A HREF="suifmath_14.html#IDX289">constraint::+</A>, <A HREF="suifmath_14.html#IDX301">constraint::+</A>
<LI><A HREF="suifmath_14.html#IDX295">constraint::+=</A>, <A HREF="suifmath_14.html#IDX309">constraint::+=</A>
<LI><A HREF="suifmath_14.html#IDX291">constraint::-</A>, <A HREF="suifmath_14.html#IDX303">constraint::-</A>, <A HREF="suifmath_14.html#IDX318">constraint::-</A>
<LI><A HREF="suifmath_14.html#IDX297">constraint::-=</A>, <A HREF="suifmath_14.html#IDX311">constraint::-=</A>
<LI><A HREF="suifmath_14.html#IDX307">constraint::/</A>
<LI><A HREF="suifmath_14.html#IDX315">constraint::/=</A>
<LI><A HREF="suifmath_14.html#IDX285">constraint::=</A>
<LI><A HREF="suifmath_14.html#IDX286">constraint::==</A>
<LI><A HREF="suifmath_12.html#IDX264">constraint::[ ]</A>, <A HREF="suifmath_14.html#IDX284">constraint::[ ]</A>
<LI><A HREF="suifmath_14.html#IDX317">constraint::complement</A>
<LI><A HREF="suifmath_13.html#IDX274">constraint::constraint()</A>
<LI><A HREF="suifmath_13.html#IDX278">constraint::constraint(constraint &#38;)</A>
<LI><A HREF="suifmath_13.html#IDX279">constraint::constraint(constraint *)</A>
<LI><A HREF="suifmath_13.html#IDX276">constraint::constraint(i)</A>
<LI><A HREF="suifmath_14.html#IDX325">constraint::highest_order(constraint &#38;)</A>
<LI><A HREF="suifmath_13.html#IDX275">constraint::init()</A>
<LI><A HREF="suifmath_13.html#IDX280">constraint::init(constraint &#38;)</A>
<LI><A HREF="suifmath_13.html#IDX281">constraint::init(constraint *)</A>
<LI><A HREF="suifmath_13.html#IDX277">constraint::init(i)</A>
<LI><A HREF="suifmath_12.html#IDX265">constraint::n()</A>
<LI><A HREF="suifmath_14.html#IDX323">constraint::rank()</A>
<LI><A HREF="suifmath_14.html#IDX321">constraint::row_gcd</A>
<LI><A HREF="suifmath_14.html#IDX319">constraint::row_lcm</A>
<LI><A HREF="suifmath_14.html#IDX324">constraint::unique()</A>
<LI><A HREF="suifmath_26.html#IDX486">cvt_fract_vector</A>
<LI><A HREF="suifmath_35.html#IDX579">cvt_matrix</A>
</DIR>
<H2>f</H2>
<DIR>
<LI><A HREF="suifmath_26.html#IDX485">fract_vector::cvt_immed_list</A>
<LI><A HREF="suifmath_26.html#IDX481">fract_vector::del_pos</A>
<LI><A HREF="suifmath_25.html#IDX469">fract_vector::dot</A>
<LI><A HREF="suifmath_24.html#IDX456">fract_vector::elt</A>
<LI><A HREF="suifmath_26.html#IDX482">fract_vector::insert_pos</A>
<LI><A HREF="suifmath_25.html#IDX474">fract_vector::inverse</A>
<LI><A HREF="suifmath_24.html#IDX457">fract_vector::is_zero</A>
<LI><A HREF="suifmath_24.html#IDX454">fract_vector::n</A>
<LI><A HREF="suifmath_24.html#IDX459">fract_vector::operator!=</A>
<LI><A HREF="suifmath_26.html#IDX480">fract_vector::operator%</A>
<LI><A HREF="suifmath_25.html#IDX463">fract_vector::operator*</A>
<LI><A HREF="suifmath_25.html#IDX467">fract_vector::operator*=</A>, <A HREF="suifmath_25.html#IDX472">fract_vector::operator*=</A>
<LI><A HREF="suifmath_25.html#IDX461">fract_vector::operator+</A>
<LI><A HREF="suifmath_25.html#IDX465">fract_vector::operator+=</A>, <A HREF="suifmath_25.html#IDX470">fract_vector::operator+=</A>
<LI><A HREF="suifmath_25.html#IDX462">fract_vector::operator-</A>
<LI><A HREF="suifmath_25.html#IDX466">fract_vector::operator-=</A>, <A HREF="suifmath_25.html#IDX471">fract_vector::operator-=</A>
<LI><A HREF="suifmath_25.html#IDX464">fract_vector::operator/</A>
<LI><A HREF="suifmath_25.html#IDX468">fract_vector::operator/=</A>, <A HREF="suifmath_25.html#IDX473">fract_vector::operator/=</A>
<LI><A HREF="suifmath_24.html#IDX460">fract_vector::operator=</A>
<LI><A HREF="suifmath_24.html#IDX458">fract_vector::operator==</A>
<LI><A HREF="suifmath_24.html#IDX455">fract_vector::operator[]</A>
<LI><A HREF="suifmath_26.html#IDX479">fract_vector::operator^=</A>
<LI><A HREF="suifmath_26.html#IDX487">fract_vector::print</A>
<LI><A HREF="suifmath_25.html#IDX477">fract_vector::projection</A>
<LI><A HREF="suifmath_25.html#IDX475">fract_vector::proportional</A>
<LI><A HREF="suifmath_25.html#IDX476">fract_vector::reduce_magnitude</A>
<LI><A HREF="suifmath_26.html#IDX484">fract_vector::resize</A>
<LI><A HREF="suifmath_26.html#IDX483">fract_vector::swap_pos</A>
</DIR>
<H2>i</H2>
<DIR>
<LI><A HREF="suifmath_4.html#IDX57">Ident(int)</A>
<LI><A HREF="suifmath_18.html#IDX443">include_for(tree_for *)</A>
<LI><A HREF="suifmath_18.html#IDX444">include_for(tree_for *, named_lin_ineq *)</A>
<LI><A HREF="suifmath_5.html#IDX95">integer_matrix::!=</A>
<LI><A HREF="suifmath_4.html#IDX74">integer_matrix::%</A>
<LI><A HREF="suifmath_4.html#IDX79">integer_matrix::&#38;</A>
<LI><A HREF="suifmath_5.html#IDX101">integer_matrix::*</A>, <A HREF="suifmath_5.html#IDX113">integer_matrix::*</A>
<LI><A HREF="suifmath_5.html#IDX107">integer_matrix::*=</A>, <A HREF="suifmath_5.html#IDX121">integer_matrix::*=</A>
<LI><A HREF="suifmath_5.html#IDX97">integer_matrix::+</A>, <A HREF="suifmath_5.html#IDX109">integer_matrix::+</A>
<LI><A HREF="suifmath_5.html#IDX103">integer_matrix::+=</A>, <A HREF="suifmath_5.html#IDX117">integer_matrix::+=</A>
<LI><A HREF="suifmath_5.html#IDX99">integer_matrix::-</A>, <A HREF="suifmath_5.html#IDX111">integer_matrix::-</A>
<LI><A HREF="suifmath_5.html#IDX105">integer_matrix::-=</A>, <A HREF="suifmath_5.html#IDX119">integer_matrix::-=</A>
<LI><A HREF="suifmath_5.html#IDX115">integer_matrix::/</A>
<LI><A HREF="suifmath_5.html#IDX123">integer_matrix::/=</A>
<LI><A HREF="suifmath_5.html#IDX93">integer_matrix::=</A>
<LI><A HREF="suifmath_5.html#IDX94">integer_matrix::==</A>
<LI><A HREF="suifmath_5.html#IDX92">integer_matrix::[ ][ ]</A>
<LI><A HREF="suifmath_4.html#IDX70">integer_matrix::^=</A>
<LI><A HREF="suifmath_4.html#IDX82">integer_matrix::c_merge(integer_matrix &#38;, integer_matrix  &#38;)</A>
<LI><A HREF="suifmath_4.html#IDX51">integer_matrix::compose(...)</A>, <A HREF="suifmath_4.html#IDX53">integer_matrix::compose(...)</A>
<LI><A HREF="suifmath_4.html#IDX62">integer_matrix::del_col(int)</A>
<LI><A HREF="suifmath_4.html#IDX63">integer_matrix::del_col(int, int)</A>
<LI><A HREF="suifmath_4.html#IDX65">integer_matrix::del_columns(integer_row &#38;)</A>
<LI><A HREF="suifmath_4.html#IDX59">integer_matrix::del_row(int)</A>
<LI><A HREF="suifmath_4.html#IDX60">integer_matrix::del_row(int, int)</A>
<LI><A HREF="suifmath_5.html#IDX125">integer_matrix::determinant()</A>
<LI><A HREF="suifmath_4.html#IDX35">integer_matrix::init()</A>
<LI><A HREF="suifmath_4.html#IDX37">integer_matrix::init(i, j)</A>
<LI><A HREF="suifmath_4.html#IDX46">integer_matrix::init(immed_list &#38;, int)</A>
<LI><A HREF="suifmath_4.html#IDX40">integer_matrix::init(integer_matrix &#38;)</A>
<LI><A HREF="suifmath_4.html#IDX44">integer_matrix::init(integer_matrix &#38;, int)</A>
<LI><A HREF="suifmath_4.html#IDX41">integer_matrix::init(integer_matrix *)</A>
<LI><A HREF="suifmath_4.html#IDX45">integer_matrix::init(integer_matrix *, int)</A>
<LI><A HREF="suifmath_4.html#IDX67">integer_matrix::insert_col(int)</A>
<LI><A HREF="suifmath_4.html#IDX34">integer_matrix::integer_matrix()</A>
<LI><A HREF="suifmath_4.html#IDX36">integer_matrix::integer_matrix(i, j)</A>
<LI><A HREF="suifmath_4.html#IDX38">integer_matrix::integer_matrix(integer_matrix &#38;)</A>
<LI><A HREF="suifmath_4.html#IDX42">integer_matrix::integer_matrix(integer_matrix &#38;, int)</A>
<LI><A HREF="suifmath_4.html#IDX39">integer_matrix::integer_matrix(integer_matrix *)</A>
<LI><A HREF="suifmath_4.html#IDX43">integer_matrix::integer_matrix(integer_matrix *, int)</A>
<LI><A HREF="suifmath_5.html#IDX127">integer_matrix::inverse()</A>
<LI><A HREF="suifmath_5.html#IDX128">integer_matrix::inverse(int *)</A>
<LI><A HREF="suifmath_3.html#IDX23">integer_matrix::m()</A>
<LI><A HREF="suifmath_3.html#IDX24">integer_matrix::n()</A>
<LI><A HREF="suifmath_4.html#IDX80">integer_matrix::r_merge(integer_matrix &#38;, integer_matrix  &#38;)</A>
<LI><A HREF="suifmath_4.html#IDX76">integer_matrix::resize(...);</A>
<LI><A HREF="suifmath_4.html#IDX77">integer_matrix::resize_offset(...);</A>
<LI><A HREF="suifmath_4.html#IDX69">integer_matrix::swap(int, int)</A>
<LI><A HREF="suifmath_4.html#IDX72">integer_matrix::swap_col(int, int)</A>
<LI><A HREF="suifmath_5.html#IDX126">integer_matrix::transpose()</A>
<LI><A HREF="suifmath_4.html#IDX81">integer_matrix::|</A>
<LI><A HREF="suifmath_8.html#IDX165">integer_row::!=</A>
<LI><A HREF="suifmath_8.html#IDX171">integer_row::*</A>, <A HREF="suifmath_8.html#IDX183">integer_row::*</A>
<LI><A HREF="suifmath_8.html#IDX177">integer_row::*=</A>, <A HREF="suifmath_8.html#IDX191">integer_row::*=</A>
<LI><A HREF="suifmath_8.html#IDX167">integer_row::+</A>, <A HREF="suifmath_8.html#IDX179">integer_row::+</A>
<LI><A HREF="suifmath_8.html#IDX173">integer_row::+=</A>, <A HREF="suifmath_8.html#IDX187">integer_row::+=</A>
<LI><A HREF="suifmath_8.html#IDX169">integer_row::-</A>, <A HREF="suifmath_8.html#IDX181">integer_row::-</A>
<LI><A HREF="suifmath_8.html#IDX175">integer_row::-=</A>, <A HREF="suifmath_8.html#IDX189">integer_row::-=</A>
<LI><A HREF="suifmath_8.html#IDX185">integer_row::/</A>
<LI><A HREF="suifmath_8.html#IDX193">integer_row::/=</A>
<LI><A HREF="suifmath_8.html#IDX163">integer_row::=</A>
<LI><A HREF="suifmath_8.html#IDX164">integer_row::==</A>
<LI><A HREF="suifmath_6.html#IDX131">integer_row::[ ]</A>, <A HREF="suifmath_8.html#IDX162">integer_row::[ ]</A>
<LI><A HREF="suifmath_7.html#IDX155">integer_row::^=</A>
<LI><A HREF="suifmath_7.html#IDX150">integer_row::data_array()</A>
<LI><A HREF="suifmath_7.html#IDX152">integer_row::del_col(int)</A>
<LI><A HREF="suifmath_7.html#IDX153">integer_row::del_col(int, int)</A>
<LI><A HREF="suifmath_7.html#IDX141">integer_row::init()</A>
<LI><A HREF="suifmath_7.html#IDX143">integer_row::init(i)</A>
<LI><A HREF="suifmath_7.html#IDX148">integer_row::init(int *, int)</A>
<LI><A HREF="suifmath_7.html#IDX146">integer_row::init(integer_row &#38;)</A>
<LI><A HREF="suifmath_7.html#IDX147">integer_row::init(integer_row *)</A>
<LI><A HREF="suifmath_7.html#IDX159">integer_row::insert_col(int)</A>
<LI><A HREF="suifmath_7.html#IDX140">integer_row::integer_row()</A>
<LI><A HREF="suifmath_7.html#IDX142">integer_row::integer_row(i)</A>
<LI><A HREF="suifmath_7.html#IDX149">integer_row::integer_row(int *, int)</A>
<LI><A HREF="suifmath_7.html#IDX144">integer_row::integer_row(integer_row &#38;)</A>
<LI><A HREF="suifmath_7.html#IDX145">integer_row::integer_row(integer_row *)</A>
<LI><A HREF="suifmath_3.html#IDX25">integer_row::n()</A>, <A HREF="suifmath_6.html#IDX132">integer_row::n()</A>
<LI><A HREF="suifmath_7.html#IDX157">integer_row::swap_col(int, int)</A>
</DIR>
<H2>l</H2>
<DIR>
<LI><A HREF="suifmath_11.html#IDX236">lin_ineq::!=</A>
<LI><A HREF="suifmath_10.html#IDX228">lin_ineq::&#38;</A>
<LI><A HREF="suifmath_11.html#IDX239">lin_ineq::&#60;&#60;</A>
<LI><A HREF="suifmath_11.html#IDX235">lin_ineq::==</A>
<LI><A HREF="suifmath_11.html#IDX238">lin_ineq::&#62;&#62;</A>
<LI><A HREF="suifmath_11.html#IDX243">lin_ineq::col_gcd</A>
<LI><A HREF="suifmath_11.html#IDX241">lin_ineq::col_lcm</A>
<LI><A HREF="suifmath_10.html#IDX227">lin_ineq::conjunct(lin_ineq &#38;)</A>
<LI><A HREF="suifmath_11.html#IDX254">lin_ineq::del_loose()</A>
<LI><A HREF="suifmath_11.html#IDX252">lin_ineq::del_repetition()</A>
<LI><A HREF="suifmath_11.html#IDX250">lin_ineq::del_unused_var()</A>
<LI><A HREF="suifmath_11.html#IDX248">lin_ineq::del_zeros()</A>
<LI><A HREF="suifmath_11.html#IDX259">lin_ineq::filter(constraint &#38;, int, int);</A>
<LI><A HREF="suifmath_11.html#IDX261">lin_ineq::filter_away(constraint &#38;, int);</A>
<LI><A HREF="suifmath_11.html#IDX260">lin_ineq::filter_thru(constraint &#38;, int);</A>
<LI><A HREF="suifmath_10.html#IDX218">lin_ineq::init(coeff &#38;)</A>
<LI><A HREF="suifmath_10.html#IDX219">lin_ineq::init(coeff *)</A>
<LI><A HREF="suifmath_10.html#IDX223">lin_ineq::init(FILE *)</A>
<LI><A HREF="suifmath_10.html#IDX224">lin_ineq::init(FILE *, int, int)</A>
<LI><A HREF="suifmath_10.html#IDX213">lin_ineq::init(lin_ineq &#38;)</A>
<LI><A HREF="suifmath_10.html#IDX214">lin_ineq::init(lin_ineq *)</A>
<LI><A HREF="suifmath_10.html#IDX209">lin_ineq::is_empty()</A>
<LI><A HREF="suifmath_10.html#IDX216">lin_ineq::lin_ineq(coeff &#38;)</A>
<LI><A HREF="suifmath_10.html#IDX217">lin_ineq::lin_ineq(coeff *)</A>
<LI><A HREF="suifmath_10.html#IDX221">lin_ineq::lin_ineq(FILE *)</A>
<LI><A HREF="suifmath_10.html#IDX222">lin_ineq::lin_ineq(FILE *, int, int)</A>
<LI><A HREF="suifmath_10.html#IDX210">lin_ineq::lin_ineq(int, int)</A>
<LI><A HREF="suifmath_10.html#IDX211">lin_ineq::lin_ineq(lin_ineq &#38;)</A>
<LI><A HREF="suifmath_10.html#IDX212">lin_ineq::lin_ineq(lin_ineq *)</A>
<LI><A HREF="suifmath_11.html#IDX257">lin_ineq::max_rank</A>
<LI><A HREF="suifmath_11.html#IDX256">lin_ineq::min_constant</A>
<LI><A HREF="suifmath_11.html#IDX245">lin_ineq::normalize()</A>
<LI><A HREF="suifmath_11.html#IDX246">lin_ineq::normalize(TRUE)</A>
<LI><A HREF="suifmath_10.html#IDX208">lin_ineq::num_constraints()</A>
<LI><A HREF="suifmath_10.html#IDX207">lin_ineq::num_variables()</A>
<LI><A HREF="suifmath_11.html#IDX232">lin_ineq::~</A>
</DIR>
<H2>m</H2>
<DIR>
<LI><A HREF="suifmath_35.html#IDX575">matrix::c_merge</A>
<LI><A HREF="suifmath_35.html#IDX578">matrix::cvt_immed_list</A>
<LI><A HREF="suifmath_35.html#IDX567">matrix::del_col</A>
<LI><A HREF="suifmath_35.html#IDX568">matrix::del_columns</A>
<LI><A HREF="suifmath_35.html#IDX565">matrix::del_row</A>, <A HREF="suifmath_35.html#IDX566">matrix::del_row</A>
<LI><A HREF="suifmath_32.html#IDX521">matrix::elt</A>
<LI><A HREF="suifmath_34.html#IDX546">matrix::factor</A>
<LI><A HREF="suifmath_34.html#IDX554">matrix::full_col_rank</A>
<LI><A HREF="suifmath_34.html#IDX553">matrix::full_row_rank</A>
<LI><A HREF="suifmath_32.html#IDX523">matrix::get_col</A>
<LI><A HREF="suifmath_32.html#IDX522">matrix::get_row</A>
<LI><A HREF="suifmath_33.html#IDX542">matrix::ident</A>
<LI><A HREF="suifmath_35.html#IDX569">matrix::insert_col</A>
<LI><A HREF="suifmath_34.html#IDX555">matrix::inverse</A>
<LI><A HREF="suifmath_34.html#IDX545">matrix::is_factored</A>
<LI><A HREF="suifmath_34.html#IDX551">matrix::is_pivot</A>
<LI><A HREF="suifmath_34.html#IDX561">matrix::kernel</A>
<LI><A HREF="suifmath_32.html#IDX519">matrix::m</A>
<LI><A HREF="suifmath_32.html#IDX518">matrix::matrix</A>
<LI><A HREF="suifmath_32.html#IDX520">matrix::n</A>
<LI><A HREF="suifmath_32.html#IDX526">matrix::operator!=</A>
<LI><A HREF="suifmath_35.html#IDX564">matrix::operator%</A>
<LI><A HREF="suifmath_35.html#IDX577">matrix::operator&#38;</A>
<LI><A HREF="suifmath_33.html#IDX530">matrix::operator*</A>, <A HREF="suifmath_33.html#IDX534">matrix::operator*</A>
<LI><A HREF="suifmath_33.html#IDX538">matrix::operator*=</A>
<LI><A HREF="suifmath_33.html#IDX528">matrix::operator+</A>, <A HREF="suifmath_33.html#IDX536">matrix::operator+</A>
<LI><A HREF="suifmath_33.html#IDX531">matrix::operator+=</A>, <A HREF="suifmath_33.html#IDX540">matrix::operator+=</A>
<LI><A HREF="suifmath_33.html#IDX529">matrix::operator-</A>, <A HREF="suifmath_33.html#IDX537">matrix::operator-</A>
<LI><A HREF="suifmath_33.html#IDX532">matrix::operator-=</A>, <A HREF="suifmath_33.html#IDX541">matrix::operator-=</A>
<LI><A HREF="suifmath_33.html#IDX535">matrix::operator/</A>
<LI><A HREF="suifmath_33.html#IDX539">matrix::operator/=</A>
<LI><A HREF="suifmath_32.html#IDX527">matrix::operator=</A>
<LI><A HREF="suifmath_32.html#IDX525">matrix::operator==</A>
<LI><A HREF="suifmath_35.html#IDX576">matrix::operator|</A>
<LI><A HREF="suifmath_34.html#IDX563">matrix::particular_solution</A>
<LI><A HREF="suifmath_35.html#IDX580">matrix::print</A>
<LI><A HREF="suifmath_35.html#IDX574">matrix::r_merge</A>
<LI><A HREF="suifmath_34.html#IDX560">matrix::range</A>
<LI><A HREF="suifmath_34.html#IDX552">matrix::rank()</A>
<LI><A HREF="suifmath_35.html#IDX573">matrix::resize</A>
<LI><A HREF="suifmath_35.html#IDX572">matrix::resize_offset</A>
<LI><A HREF="suifmath_32.html#IDX524">matrix::set_col</A>
<LI><A HREF="suifmath_35.html#IDX570">matrix::swap_col</A>
<LI><A HREF="suifmath_35.html#IDX571">matrix::swap_row</A>
<LI><A HREF="suifmath_33.html#IDX543">matrix::transpose</A>
</DIR>
<H2>n</H2>
<DIR>
<LI><A HREF="suifmath_17.html#IDX381">name_table:: find(name_table_entry &#38;)</A>
<LI><A HREF="suifmath_17.html#IDX376">name_table:: name_table(immed &#38;, ...., immed &#38;)</A>
<LI><A HREF="suifmath_17.html#IDX374">name_table:: name_table(name_table &#38;)</A>
<LI><A HREF="suifmath_17.html#IDX387">name_table::&#38;</A>
<LI><A HREF="suifmath_17.html#IDX380">name_table::[]</A>
<LI><A HREF="suifmath_17.html#IDX382">name_table::find(immed)</A>
<LI><A HREF="suifmath_17.html#IDX373">name_table::init()</A>
<LI><A HREF="suifmath_17.html#IDX378">name_table::init(int)</A>
<LI><A HREF="suifmath_17.html#IDX375">name_table::init(name_table &#38;)</A>
<LI><A HREF="suifmath_17.html#IDX386">name_table::insert(immed, int)</A>
<LI><A HREF="suifmath_17.html#IDX385">name_table::insert(name_table_entry &#38;, int)</A>
<LI><A HREF="suifmath_17.html#IDX389">name_table::is_aligned(name_table &#38;, name_table &#38;)</A>
<LI><A HREF="suifmath_17.html#IDX388">name_table::mk_align(name_table &#38;, name_table &#38;)</A>
<LI><A HREF="suifmath_17.html#IDX379">name_table::n()</A>
<LI><A HREF="suifmath_17.html#IDX372">name_table::name_table()</A>
<LI><A HREF="suifmath_17.html#IDX377">name_table::name_table(int)</A>
<LI><A HREF="suifmath_17.html#IDX390">name_table::print()</A>
<LI><A HREF="suifmath_17.html#IDX383">name_table::remove(int)</A>
<LI><A HREF="suifmath_17.html#IDX384">name_table::remove(int, int)</A>
<LI><A HREF="suifmath_16.html#IDX368">name_table_entry::!=</A>
<LI><A HREF="suifmath_16.html#IDX367">name_table_entry::==</A>
<LI><A HREF="suifmath_16.html#IDX360">name_table_entry::ind()</A>
<LI><A HREF="suifmath_16.html#IDX349">name_table_entry::init()</A>
<LI><A HREF="suifmath_16.html#IDX351">name_table_entry::init(immed)</A>
<LI><A HREF="suifmath_16.html#IDX355">name_table_entry::init(name_table_entry &#38;)</A>
<LI><A HREF="suifmath_16.html#IDX353">name_table_entry::init(name_table_entry_kind, immed)</A>
<LI><A HREF="suifmath_16.html#IDX366">name_table_entry::mark_aux()</A>
<LI><A HREF="suifmath_16.html#IDX362">name_table_entry::mark_cond()</A>
<LI><A HREF="suifmath_16.html#IDX364">name_table_entry::mark_dim()</A>
<LI><A HREF="suifmath_16.html#IDX363">name_table_entry::mark_loop()</A>
<LI><A HREF="suifmath_16.html#IDX365">name_table_entry::mark_summary()</A>
<LI><A HREF="suifmath_16.html#IDX361">name_table_entry::mark_sym()</A>
<LI><A HREF="suifmath_16.html#IDX348">name_table_entry::name_table_entry()</A>
<LI><A HREF="suifmath_16.html#IDX350">name_table_entry::name_table_entry(immed)</A>
<LI><A HREF="suifmath_16.html#IDX354">name_table_entry::name_table_entry(name_table_entry &#38;)</A>
<LI><A HREF="suifmath_16.html#IDX352">name_table_entry::name_table_entry(name_table_entry_kind, immed)</A>
<LI><A HREF="suifmath_16.html#IDX369">name_table_entry::print()</A>
<LI><A HREF="suifmath_16.html#IDX359">name_table_entry::set_name(immed)</A>
<LI><A HREF="suifmath_16.html#IDX356">name_table_entry::string()</A>
<LI><A HREF="suifmath_16.html#IDX357">name_table_entry::var()</A>
<LI><A HREF="suifmath_18.html#IDX410">named_lin_ineq::&#38;</A>
<LI><A HREF="suifmath_18.html#IDX411">named_lin_ineq::&#38;=</A>, <A HREF="suifmath_18.html#IDX413">named_lin_ineq::&#38;=</A>
<LI><A HREF="suifmath_18.html#IDX425">named_lin_ineq::&#60;&#60;</A>
<LI><A HREF="suifmath_18.html#IDX406">named_lin_ineq::=</A>
<LI><A HREF="suifmath_18.html#IDX423">named_lin_ineq::==</A>
<LI><A HREF="suifmath_18.html#IDX424">named_lin_ineq::&#62;&#62;</A>
<LI><A HREF="suifmath_18.html#IDX402">named_lin_ineq::add_col(name_table_entry &#38;, int)</A>
<LI><A HREF="suifmath_18.html#IDX408">named_lin_ineq::align_named_lin_ineqs(named_lin_ineq &#38;, named_lin_ineq &#38;)</A>
<LI><A HREF="suifmath_18.html#IDX412">named_lin_ineq::and(named_lin_ineq *, named_lin_ineq *, boolean, boolean)</A>
<LI><A HREF="suifmath_18.html#IDX440">named_lin_ineq::cleanup()</A>
<LI><A HREF="suifmath_18.html#IDX435">named_lin_ineq::create_expression(var_sym *, boolean)</A>
<LI><A HREF="suifmath_18.html#IDX436">named_lin_ineq::create_expression(var_sym *, boolean, base_symtab *)</A>
<LI><A HREF="suifmath_18.html#IDX438">named_lin_ineq::cvt_immed_list()</A>
<LI><A HREF="suifmath_18.html#IDX403">named_lin_ineq::del_col(int)</A>
<LI><A HREF="suifmath_18.html#IDX404">named_lin_ineq::del_col(int, int)</A>
<LI><A HREF="suifmath_18.html#IDX405">named_lin_ineq::find(immed)</A>
<LI><A HREF="suifmath_18.html#IDX398">named_lin_ineq::ineqs()</A>
<LI><A HREF="suifmath_18.html#IDX395">named_lin_ineq::init(named_lin_ineq &#38;)</A>
<LI><A HREF="suifmath_18.html#IDX409">named_lin_ineq::is_aligned(named_lin_ineq &#38;, named_lin_ineq &#38;)</A>
<LI><A HREF="suifmath_18.html#IDX400">named_lin_ineq::m()</A>
<LI><A HREF="suifmath_18.html#IDX433">named_lin_ineq::mk_bounds()</A>
<LI><A HREF="suifmath_18.html#IDX428">named_lin_ineq::mk_named_lin_ineq(access_vector &#38;, immed, boolean);</A>
<LI><A HREF="suifmath_18.html#IDX427">named_lin_ineq::mk_named_lin_ineq(array_info &#38;, immed, boolean);</A>
<LI><A HREF="suifmath_18.html#IDX399">named_lin_ineq::n()</A>
<LI><A HREF="suifmath_18.html#IDX393">named_lin_ineq::named_lin_ineq()</A>
<LI><A HREF="suifmath_18.html#IDX437">named_lin_ineq::named_lin_ineq(immed_list &#38;)</A>
<LI><A HREF="suifmath_18.html#IDX396">named_lin_ineq::named_lin_ineq(name_table &#38;, lin_ineq &#38;)</A>
<LI><A HREF="suifmath_18.html#IDX394">named_lin_ineq::named_lin_ineq(named_lin_ineq &#38;)</A>
<LI><A HREF="suifmath_18.html#IDX397">named_lin_ineq::names()</A>
<LI><A HREF="suifmath_18.html#IDX441">named_lin_ineq::print()</A>
<LI><A HREF="suifmath_18.html#IDX442">named_lin_ineq::print_exp()</A>
<LI><A HREF="suifmath_18.html#IDX414">named_lin_ineq::project()</A>
<LI><A HREF="suifmath_18.html#IDX417">named_lin_ineq::project_away(immed)</A>
<LI><A HREF="suifmath_18.html#IDX416">named_lin_ineq::project_away(name_table_entry &#38;)</A>
<LI><A HREF="suifmath_18.html#IDX401">named_lin_ineq::swap_col(int, int)</A>
<LI><A HREF="suifmath_18.html#IDX407">named_lin_ineq::||</A>
<LI><A HREF="suifmath_18.html#IDX419">named_lin_ineq::~</A>
</DIR>
<H2>o</H2>
<DIR>
<LI><A HREF="suifmath_33.html#IDX533">operator*</A>
</DIR>
<H2>r</H2>
<DIR>
<LI><A HREF="suifmath_4.html#IDX88">rowadd(integer_matrix &#38;, int i, int j, int mul=1)</A>
<LI><A HREF="suifmath_4.html#IDX86">rowswitch(integer_matrix &#38;, int i, int j)</A>
</DIR>
<H2>v</H2>
<DIR>
<LI><A HREF="suifmath_24.html#IDX453">vector::vector</A>
<LI><A HREF="suifmath_28.html#IDX492">vector_space::basis</A>
<LI><A HREF="suifmath_30.html#IDX508">vector_space::beautify</A>
<LI><A HREF="suifmath_28.html#IDX494">vector_space::dimensionality</A>
<LI><A HREF="suifmath_30.html#IDX510">vector_space::fill_space</A>
<LI><A HREF="suifmath_28.html#IDX493">vector_space::get_matrix</A>
<LI><A HREF="suifmath_30.html#IDX511">vector_space::in</A>
<LI><A HREF="suifmath_30.html#IDX512">vector_space::insert</A>
<LI><A HREF="suifmath_28.html#IDX498">vector_space::operator!=</A>
<LI><A HREF="suifmath_29.html#IDX503">vector_space::operator*</A>
<LI><A HREF="suifmath_29.html#IDX504">vector_space::operator*=</A>
<LI><A HREF="suifmath_29.html#IDX499">vector_space::operator+</A>
<LI><A HREF="suifmath_29.html#IDX500">vector_space::operator+=</A>
<LI><A HREF="suifmath_29.html#IDX501">vector_space::operator-</A>
<LI><A HREF="suifmath_29.html#IDX502">vector_space::operator-=</A>
<LI><A HREF="suifmath_28.html#IDX496">vector_space::operator=</A>
<LI><A HREF="suifmath_28.html#IDX497">vector_space::operator==</A>
<LI><A HREF="suifmath_30.html#IDX505">vector_space::perpendicular</A>
<LI><A HREF="suifmath_30.html#IDX507">vector_space::proj_matrix</A>
<LI><A HREF="suifmath_30.html#IDX509">vector_space::reduce_magnitude</A>
<LI><A HREF="suifmath_28.html#IDX495">vector_space::space_dimension</A>
<LI><A HREF="suifmath_30.html#IDX506">vector_space::space_full</A>
<LI><A HREF="suifmath_28.html#IDX491">vector_space::vector_space</A>
</DIR>

</P>

<P><HR><P>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_35.html">previous</A>, <A HREF="suifmath_37.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
</BODY>
</HTML>
